CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

StartParameter Property (ActiveX)

2023-1-3 05:42| 发布者: admin| 查看: 266| 评论: 0|来自: AutoCAD

摘要: 指定椭圆的起始参数。

指定椭圆的起始参数。

支持的平台:仅窗口

签名

工 务 局:

object.StartParameter
对象

类型:椭圆

此属性适用的对象。

属性值

只读:

类型:

有效范围为 0 到。2*PI

言论

椭圆的开始和结束参数基于以下公式计算:

P(Theta) = A * cos(Theta) + B * sin(Theta)

其中分别是半长轴和短轴。AB

例如,如果您的起始角度为 ,则根据上述公式计算相应的启动参数。同样,如果您的端角为 ,则根据上述公式计算相应的结束参数。Theta1P(Theta1)Theta2P(Theta2)

可以使用角度或参数来创建椭圆。

例子

工 务 局:

Sub Example_StartParameter()
    ' This example creates an ellipse and enters the start and
    ' end parameters to create an elliptical arc.
    Dim ellObj As AcadEllipse
    Dim majAxis(0 To 2) As Double
    Dim center(0 To 2) As Double
    Dim radRatio As Double
    
    ' Create an ellipse in model space
    center(0) = 5#: center(1) = 5#: center(2) = 0#
    majAxis(0) = 10: majAxis(1) = 20#: majAxis(2) = 0#
    radRatio = 0.3
    Set ellObj = ThisDrawing.ModelSpace.AddEllipse(center, majAxis, radRatio)
    
    ' Enter a start parameter of 1.57, and an end parameter of 6.28
    ellObj.StartParameter = 1.57
    ellObj.EndParameter = 6.28
    ZoomAll
    
    ' Find the start and end parameters for the ellipse
    MsgBox "The ellipse has a start parameter of " & ellObj.StartParameter & " and an end parameter of " & ellObj.EndParameter, vbInformation, "StartParameter Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_StartParameter()
    ;; This example creates an ellipse and enters the start and
    ;; end parameters to create an elliptical arc.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Create an ellipse in model space
    (setq center (vlax-3d-point 5 5 0)
          majAxis (vlax-3d-point 10 20 0)
          radRatio 0.3)
  
    (setq modelSpace (vla-get-ModelSpace doc))  
    (setq ellObj (vla-AddEllipse modelSpace center majAxis radRatio))
    
    ;; Enter a start parameter of 1.57, and an end parameter of 6.28
    (vla-put-StartParameter ellObj 1.57)
    (vla-put-EndParameter ellObj 6.28)
    (vla-ZoomAll acadObj)
    
    ;; Find the start and end parameters for the ellipse
    (alert (strcat "The ellipse has a start parameter of " (rtos (vla-get-StartParameter ellObj) 2) " and an end parameter of " (rtos (vla-get-EndParameter ellObj) 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 19:20

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部